* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    outline: none;
}



html,body {
    background: rgb(11, 15, 26) url('../img/star-bg.png');

    &::-webkit-scrollbar {
        width: 8px;
    }

    &::-webkit-scrollbar-track {
        background: #111a25;
    }

    &::-webkit-scrollbar-thumb {
        background-color: #35404c;
    }

    &[mode="userModal"]{
        overflow: hidden;
        border-right: 8px solid #111a25;
    }
}

.alert-danger {
    color: rgb(217, 83, 79);
}

.modal-back {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 50;
    width: 100%;
    height: 100%;
    overflow: hidden;
    outline: 0;
    background: #00000024;
    backdrop-filter: blur(1px);
}
.custom-modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 55;
    width: 100%;
    max-width: 500px;
    padding:  30px;
    border-radius: 5px;
    background: rgba(11, 15, 26, 1);
    color: white;
    font-family: sans-serif;
    &.login, &.signup {
        background: rgba(11, 15, 26, 1) url('../img/star-bg.png');
    }
    h3 {
        text-align: center;
        font-size: 25px;
        padding: 20px;
        margin-top: 20px;
    };
    p.subtitle {
        text-align: center;
        color: rgba(169, 162, 162, 1);
        margin-bottom: 30px;
    }
    .modal-header {
        display: flex;
        justify-content: space-between;
        .title {
            font-family: "Proxima Regular", Helvetica, sans-serif;
            font-weight: 700;
            font-size: 20px;
            text-align: left;
            color: #e6e9f1;
        }
        .close {
            font-size: 20px;
            &:hover {
                cursor: pointer;
                color: #cbbaff;
            }
        }
    }
    .modal-body {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        padding: 20px 0;

        iframe {
            width: 100%;
            height: 100%;
            min-height: 205px;
            border: none;
            overflow: hidden;
        }

        button.login-btn,
        button.signup-btn{
            border: 1px solid hsla(0, 0%, 100%, 0.3);
            background: none;
            height: 50px;
            border-radius: 50px;
            min-width: 126px;
            font-size: 16px;
            padding: 5px;
            color: #fff;
            text-transform: uppercase;
            background: rgba(5, 110, 97, 1);
            margin-top: 15px;
            &:hover {
                cursor: pointer;
                background: rgb(10, 133, 118);
            }
        }
    }
    .modal-footer {
        display: flex;
        justify-content: center;
        padding-top: 10px;
        gap: 10px;
        span {
            color: #a2a0a9;
        }
        button {
            background: none;
            border: none;
            color: #fff;
            font-size: 16px;
            &:hover {
                cursor: pointer;
                color: #ffc83d;
            }
        }
        a {
            background: none;
            border: none;
            color: #fff;
            font-size: 16px;
            text-decoration: none;
            &:hover {
                cursor: pointer;
                color: #ffc83d;
            }
        }
    }
    .group {
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
        p {
            color: #a2a0a9;
            font-size: 14px;
            padding: 0 22px;
        }
    }
}
.input-label {
    width: 100%;
    box-sizing: border-box;
    border: 1px solid rgba(255, 255, 255, 0.15);
    background: rgba(35, 39, 49, 1);
    border-radius: 50px;
    position: relative;
    padding: 0 22px;
    display: flex;
    align-items: center;
    i {
        font-size: 28px;
        color: #9fa3af;
        &.icon-calendar {
            font-size: 20px;
        }
        &:hover {
            cursor: pointer;
            color: #d0cae4;
        }
    }
    label {
        position: absolute;
        top:50%;
        left: 22px;
        transform: translateY(-50%);
        font-size: 16px;
        color: rgba(255, 255, 255, 0.4);
        transition: all 0.3s ease;
    }
    input {
        background: transparent !important;
        width: 100%;
        border: none;
        height: 50px;
        padding-top: 20px;
        color: #fff !important;
        font-size: 16px;
        &:-webkit-autofill + label,
        &:focus + label,
        &[value]:not([value=""]) + label {
            font-size: 14px;
            transform: translateY(calc(-50% - 10px));
        }

        &:-webkit-autofill,
        &:-webkit-autofill:hover,
        &:-webkit-autofill:focus,
        &:-webkit-autofill:active{
            -webkit-box-shadow: 0 0 0 30px rgba(35, 39, 49, 1) inset !important;
            -webkit-text-fill-color: #fff !important;
            color: #fff !important;
        }
    }


    .actions {
        position: absolute;
        top:50%;
        right: 14px;
        transform: translateY(-50%);
        font-size: 16px;
        display: flex;
        gap: 10px;
        align-items: center;
        button, a {
            background: #434957;
            padding: 0 10px;
            border: none;
            font-size: 14px;
            border-radius: 30px;
            color: #9fa3af;
            height: 24px;
            text-decoration: none;
            display: flex;
            align-items: center;
            &:hover {
                cursor: pointer;
                background: #056e61;
                color: #ffffff;
            }
        }
    }
}
.form-checkbox {
    position: relative;
    color: rgba(128, 133, 138, 1);
    .form-checkbox-input {
        position: absolute;
        opacity: 0;
        top: 0;
        width: 20px;
        height: 20px;
        left: 0;

       &:checked~.form-label .form-checkbox-indicator {
           border-color: rgba(23, 153, 158, 1);
           &:before {
               position: absolute;
               content: '';
               width: 100%;
               height: 100%;
               display: flex;
               background: rgba(23, 153, 158, 1) url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAsAAAAKCAMAAABVLlSxAAAAHlBMVEUAAAD///////////////////////////////////8kfJuVAAAACnRSTlMAECBAUF9wgM/fBNSiAwAAACZJREFUCNdjYMAPGDmYEUx2EMXEAmcyMHGywpggDic7XB8TG35zARteAHZ9NCbKAAAAAElFTkSuQmCC') no-repeat center;
               top:0;
               left: 0;
           }
       }
    }
    .form-label {
        color: #1d1d1f;
        display: inline-block;
        font-family: SF Pro Text, SF Pro Icons, Helvetica Neue, Helvetica, Arial, sans-serif;
        font-size: 17px;
        font-weight: 400;
        letter-spacing: -.022em;
        line-height: 1.2353641176;
        position: relative;
        padding-left: 30px;

        .form-checkbox-indicator {
            display: inline-block;
            width: 20px;
            height: 20px;
            position: absolute;
            top: .1176470588rem;

            border-radius: 50%;
            overflow: hidden;

            cursor: pointer;
            left: 0;
            border:1px solid #ccc;
        }
        span {
            color: rgba(128, 133, 138, 1);

            a{
                color: #9f9147;
                text-decoration: none;
                &:hover {
                    color: #dec856;
                    text-decoration: underline;
                }
            }
        }
    }



}

.welcome {
    background: rgba(11, 15, 26, 1) url('../img/star-bg.png');
    display: flex;
    align-items: center;
    justify-content: center;

    .welcome-container {

    }
}



/* CSS */
.pw-field { font-family: system-ui, -apple-system, Segoe UI, Roboto, Arial;
    padding: 0 22px; display: flex; gap:50px;
    .pw-meter { display: flex; gap: 6px; margin-top: 6px; flex:1;
    .bar { flex: 1; height: 6px; background: #323845; border-radius: 999px; transition: background-color .25s ease; }
    }
    .pw-label { font-weight: 700; font-size: 13px; color: #475467; }

    /* ფერები მდგომარეობების მიხედვით */
    &.pw-weak .bar:nth-child(-n+1)   { background: #ef4444; } /* წითელი */
    &.pw-medium .bar:nth-child(-n+2) { background: #f59e0b; } /* ნარინჯისფერი */
    &.pw-strong .bar:nth-child(-n+3) { background: #22c55e; } /* მწვანე */

    &.pw-weak   .pw-label { color: #ef4444; }
    &.pw-medium .pw-label { color: #f59e0b; }
    &.pw-strong .pw-label { color: #22c55e; }
}

.custom-modal {
    .status-icon {
        display: flex;
        justify-content: center;
        padding-top: 30px;
    }
    .success-icon {
        width: 40px;
        height: 40px;
        background: url("../img/success_icon.png") center;
        background-size: cover;
        display: flex;
    }
}

.password-reset-by-email-success {
    .title {
        font-size: 18px;
    }
 .custom-modal {

     h3 {
         font-size: 24px;
         color: #75b159;
         margin-top: 0;
     }
     p {
         text-align: left;
         color: #ccc;
         &.subtitle {
             color: rgb(178 198 209);
             margin: 0;
         }
     }
     a.try {
         text-decoration: none;
         color: #75b166;
         &:hover {
             text-decoration: underline;
             color: #87e76f;
         }
     }
     .modal-body {
         padding-bottom: 0;
     }
 }
}